## snoopy 1.3

=== Makefile ===
# Makefile for snoopy
# $Id: Makefile,v 1.3 2000/12/10 08:50:49 marius Exp $

CC = gcc
LIBS  = -ldl

all: snoopy.so detect

snoopy.so:  snoopy.c snoopy.h
			$(CC) -shared -O3 -fomit-frame-pointer snoopy.c -osnoopy.so $(LIBS)
detect: detect.c
			$(CC) detect.c -odetect $(LIBS)
install: all 
			install -m 755 snoopy.so /lib/snoopy.so; \
			./install.sh
clean:
			rm detect snoopy.so

## snoopy 1.8.0

=== debian/changelog ===
snoopy (1.8.0-5) unstable; urgency=low

  * Add Slovak Debconf translation (closes: #685370)

 -- Zed Pobre <zed@debian.org>  Mon, 20 Aug 2012 17:29:26 -0400

snoopy (1.8.0-4) unstable; urgency=low

  * Add Danish Debconf translation (closes: #660392)
  * Standards-Version 3.9.3 (no changes)

 -- Zed Pobre <zed@debian.org>  Fri, 17 Aug 2012 14:10:07 -0400

snoopy (1.8.0-3) unstable; urgency=low

  * Merge back in changes from 1.3-15 that were dropped in the original
    package transition (closes: #639855)

 -- Zed Pobre <zed@debian.org>  Mon, 05 Sep 2011 17:08:41 -0400

snoopy (1.8.0-2) unstable; urgency=low

  * Correct debian/copyright to show that the upstream code is licensed
    GPL-2+, not just GPL-2 (thanks to Ansgar Burchardt for noticing).

 -- Zed Pobre <zed@debian.org>  Thu, 09 Jun 2011 10:42:55 -0400

snoopy (1.8.0-1) unstable; urgency=low

  * New maintainer.
  * New upstream version (closes: #629832).
    * Static log function patch moved into upstream code
    * -fPIC build patch moved into upstream code
    * rm -f on clean patch moved into upstream code
    * DESTDIR patch moved into upstream code
    * getlogin patch appears to be obsolete, removed
    * Upstream version 1.8.0 now supports filtering, but due to the
      potential for system lockup and a bug in the Makefile it is not
      enabled in this Debian revision pending closer examination.
  * Changed from CDBS to DH for debian/rules
  * Removed dependency on ld.so.preload-manager
  * Removed obsolete Linda override
  * Updated copyright file and converted it to DEP-5 format
  * Standards-Version: 3.9.2

 -- Zed Pobre <zed@debian.org>  Wed, 08 Jun 2011 14:29:58 -0400

snoopy (1.3-15) unstable; urgency=low

  * ACK NMU
  * New translation: tr (Turkish) by Mert Dirik. Closes: #489156
  * Add homepage field
  * Standards-Version: 3.8.0.0
  * Remove Linda Overrides
  * Lintian:
    * Override command-with-path-in-maintainer-script prerm:26
      /usr/sbin/ld.so.preload-manager warning - we need to be absolutely
      sure that the ld.so.preload-manager binary is the one that we expect,
      or we risk leaving a preload entry without the corresponding library.
      So we abort if we are not sure about this.
    * Temporarily Override snoopy: sharedobject-in-library-directory-
      missing-soname lib/snoopy.so - lintian is right, but this change
      cannot be in lenny. #502712.
    * Temporarily Override snoopy: description-contains-homepage
      The Homepage stanza is in the description on purpose, and will
      go away post-lenny. #502713.
  * Add -e to postinst and config

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 19 Oct 2008 13:31:01 +0200

snoopy (1.3-14.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Finnish. Closes: #468354
    - Brazilian Portuguese. Closes: #473243
    - Russian. Closes: #488133
    - Galician. Closes: #488187
    - Romanian. Closes: #488705
    - Basque. Closes: #488797

 -- Christian Perrier <bubulle@debian.org>  Tue, 24 Jun 2008 07:52:20 +0200

snoopy (1.3-14) unstable; urgency=low

  * Update translation: sv (Swedish) by Daniel Nylander. Closes: #412535
  * Update translation. cs (Czech) by Martin ¦ín. Closes: #412694
  * Update translation: it (Italian) by Luca Bruno. Closes: #412696
  * Update translation: fr (French) by Michel Grentzinger. Closes: #412958
  * Update translation: nl (Dutch) by cobaco. Closes: #413233
  * Update translation: es (Spanish) by Javier Fernández-Sanguino.
    Closes: #413557
  * New translation: pt (Portuguese) by Miguel Figueiredo. Closes: #417919
  * prerm: just error out if ld.so.preload-manager is not installed
  * lintian:
    * add description to 50-409819-getlogin_r.dpatch
    * add proper copyright notice
    * Standards-Version: 3.7.3 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 28 Feb 2008 15:22:22 +0100

snoopy (1.3-13) unstable; urgency=low

  * Add patch from Glen Batchelor, Mike O'Connor and Steve Langasek
    which hopefully fixes getlogin_r issue on amd64. Closes: #409819
  * New translation: es (Spanish) by Javier Fernández-Sanguino.
    Closes: #403521
  * Fix debconf templates to better conform with the developer's
    reference, tentatively fix translations as well.
  * Standards-Version: 3.7.2 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 26 Feb 2007 13:20:37 +0100

snoopy (1.3-12) unstable; urgency=low

  * New translation: sv (Swedish) by Daniel Nylander. Closes: #331592

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 18 Nov 2005 12:37:30 +0000

snoopy (1.3-11) unstable; urgency=low

  * fix Makefile patch to honor CFLAGS to fix m68k build.
  * build depend on cdbs 0.4.29 because of bug 300465.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 10 Aug 2005 14:02:48 +0000

snoopy (1.3-10) unstable; urgency=low

  * New translation: it (Italian) by Luca Bruno. Closes: #316912
  * New translation: vi (Vietnamese) by Clytie Siddall. Closes: #318602
  * changelog cosmetics, remove wrong "not yet released" entry from
    actually released version 1.3-9
  * disable DEB_AUTO_UPDATE_DEBIAN_CONTROL
  * replace hardcoded debconf dependency with ${misc:Depends} to stop
    being a cdebconf transition blocker.
  * Standards-Version: 3.6.2 (no changes necessary).

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun,  7 Aug 2005 13:25:48 +0000

snoopy (1.3-9) unstable; urgency=low

  * convert to dpatch, debian/-only layout
  * source control now in svn
  * add linda override for missing shlibs entry
  * New translation. cs (Czech) by Martin ¦ín. Closes: #311701

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 18 Jun 2005 12:25:50 +0000

snoopy (1.3-8) unstable; urgency=low

  * install japanese debconf templates supplied by Hideki Yamane.
    Closes: #260919.
  * use cdbs' automatic build depends creation



=== debian/control ===
Source: snoopy
Section: admin
Priority: optional
Maintainer: Zed Pobre <zed@debian.org>
Build-Depends: debhelper (>= 8), autoconf
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/snoopylogger/
Vcs-Git: git://anonscm.debian.org/collab-maint/snoopy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snoopy.git

Package: snoopy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: execve() wrapper and logger
 snoopy is merely a shared library that is used as a wrapper
 to the execve() function provided by libc as to log every call
 to syslog (authpriv).  system administrators may find snoopy
 useful in tasks such as light/heavy system monitoring, tracking other
 administrator's actions as well as getting a good 'feel' of
 what's going on in the system (for example apache running cgi
 scripts).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	autoconf
	dh_auto_configure -- --libdir=/lib

override_dh_clean:
	dh_clean
	rm -f configure

=== debian/watch ===
version=2

http://sf.net/snoopylogger/snoopy-(.*)\.tar\.gz debian

## snoopy 2.3.1

=== debian/changelog ===
snoopy (2.3.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Aug 2017 11:50:33 +0200

snoopy (2.3.1-2) unstable; urgency=medium

  * Add automake to build-depends (closes: #788323)

 -- Zed Pobre <zed@debian.org>  Sat, 20 Jun 2015 00:44:43 -0400

snoopy (2.3.1-1) unstable; urgency=high

  * New upstream version, new upstream homepage
  * Updated copyright file
  * Fixes the boot loop with systemd (closes: #784682)
  * This also changes the logging procedure in a way that prevents system
    lockups when a remote logserver stops responding properly.
  * There is a new configuration file option that is NOT being used by
    this package to minimize usage overhead.  If you need this feature,
    you will need to recompile the package (see the comments in
    debian/rules).

 -- Zed Pobre <zed@debian.org>  Tue, 19 May 2015 15:02:19 -0400

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	libtoolize -f
	aclocal
	automake --add-missing
	autoconf
	dh_auto_configure -- --libdir=/lib

	# If you want to use the optional filtering and configuration
	# file, comment out the above dh_auto_configure and uncomment
	# the one below:
	#dh_auto_configure -- --libdir=lib --enable-config-file --enable-filtering

override_dh_install:
	dh_install
	ln -s libsnoopy.so.0.0.0 debian/snoopy/lib/snoopy.so
	rm -f debian/snoopy/lib/libsnoopy.la

override_dh_clean:
	dh_clean
	find . -name Makefile.in -exec rm {} \+
	rm -f aclocal.m4 compile configure test-driver

## snoopy 2.3.2

=== debian/changelog ===
snoopy (2.3.2-1) unstable; urgency=medium

  * Orphaning package
  * New upstream version
  * Standards-Version: 3.9.8
  * Enable config files and filtering by default (closes: #837617)
  * Enable multiarch support (closes: #791685, #791687)

 -- Zed Pobre <zed@debian.org>  Thu, 31 Jan 2017 13:33:09 -0400

=== debian/control ===
Source: snoopy
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), autoconf, automake, libtool
Standards-Version: 3.9.8
Homepage: https://github.com/a2o/snoopy/
Vcs-Git: https://github.com/a2o/snoopy.git
Vcs-Browser: https://github.com/a2o/snoopy

Package: snoopy
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: execve() wrapper and logger
 snoopy is merely a shared library that is used as a wrapper
 to the execve() function provided by libc as to log every call
 to syslog (authpriv).  system administrators may find snoopy
 useful in tasks such as light/heavy system monitoring, tracking other
 administrator's actions as well as getting a good 'feel' of
 what's going on in the system (for example Apache running cgi
 scripts).
 .
 This type of monitoring can be bypassed by hostile users, and should
 not be considered a secure replacement for tools like auditd.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,11 @@
 	aclocal
 	automake --add-missing
 	autoconf
-	dh_auto_configure -- --libdir=/lib
 
-	# If you want to use the optional filtering and configuration
-	# file, comment out the above dh_auto_configure and uncomment
-	# the one below:
-	#dh_auto_configure -- --libdir=lib --enable-config-file --enable-filtering
+	# The config file and filtering options can cause noticeable
+	# performance impact.  If you have a high performance
+	# requirement, remove those two options below.
+	dh_auto_configure -- --libdir=/lib/$(DEB_HOST_MULTIARCH) --enable-config-file --enable-filtering
 
 override_dh_install:
 	dh_install

## snoopy 2.4.6

=== debian/changelog ===
snoopy (2.4.6-6ubuntu1) focal; urgency=medium

  * debian/rules: set -Wno-error=stringop-truncation, to avoid a build
    failure for a perfectly valid use of strncpy() that is incompatible
    with -O3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Mar 2020 05:32:21 -0800

snoopy (2.4.6-6) unstable; urgency=medium

  * Team upload.
  * d/patches
    - Add 05_gcc-9.patch: fix compialtion by gcc 9 (Closes: #925833).
    - Add 06_disable_rpname_test.patch: disable always failing test
  * d/control
    - Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root: no

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Sat, 09 Nov 2019 02:23:51 +0300

snoopy (2.4.6-5) unstable; urgency=medium

  * d/patches
    - Add 0001-parse-proc-properties-to-the-end.patch
    - Add 0002-properly-extract-Name-values-containing-whitespace.patch
      (Closes: #880086 ).
  * d/control
    - Bump debhelper compatibility level to 12
    - Switch Build-Depends from debhelper to debhelper-compat, dropping
      d/compat as it is obsolete.
    - Bump Standards-Version to 4.3.0 (no changes required).
  * d/copyright
    - Give proper credits to all package developers.
    - Update copyright years.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 24 Feb 2019 00:30:56 +0000

snoopy (2.4.6-4) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
  * d/compat:
    - Bump compat version to 11
  * d/rules:
    - Add override_dh_missing target (--fail-missing)

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 19 Sep 2018 13:09:29 +0800

snoopy (2.4.6-3) unstable; urgency=medium

  * Team upload.
  * Disable additional tests which don't seem to work reliably in the sbuild
    environment.
  * Snoopy uses Linux-only functions like gettid, restrict building for this
    package to linux-any.
  * Bump Standards-Version to 4.1.1 (no changes required).

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Thu, 26 Oct 2017 19:37:21 +0200

snoopy (2.4.6-2) unstable; urgency=medium

  * Team upload.
  * No longer compare pointer with the zero constant character to fix FTBFS
    with GCC-7 (Closes: #853664).

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sun, 27 Aug 2017 12:18:19 +0200

snoopy (2.4.6-1) unstable; urgency=medium

  [ Marcos Fouces ]
  * Update watch file
  * New upstream version 2.4.6
  * Assign maintenance to pkg-security team (Closes: #854351)
  * Bump to dh compat level 10
  * Adapt rules file to new upstream version
  * Remove useless files
  * Add NoGitSubmodulesClone.patch
  * Add 02_Fix-spelling-errors.patch
  * Rename properly some files under debian dir

  [ Raphaël Hertzog ]
  * Do not override binary-without-manpage lintian warning.
  * Add "socat" to Build-Depends as it's needed by "make check".
  * Drop "dpkg-dev (>= 1.16.1), autoconf, automake, libtool" from
    Build-Depends. This minimal dpkg version is already in oldstable
    and the others are no longer needed explicitly as we are no longer
    calling bootstrap.sh.

  [ Lukas Schwaighofer ]
  * Add socat and procps to Build-Depends, needed for the test suite
  * Enable testsuite (but disable four specific tests which fail when executed
    by pbuilder/sbuilder due to the chroot environment)
  * Make sure the question regarding /etc/ld.so.preload is always asked and
    the file is changed in postinst accordingly
  * Use /bin/sh (not bash) for postrm, unify the style
  * Explain how to enable/disable snoopy correctly in README.Debian
  * Drop snoopy-enable and snoopy-disable; for reasons explained in
    README.Debian dpkg-reconfigure should be used instead
  * Postinst needs to write the multiarch path to /etc/ld.so.preload, so it is
    now dynamically generated from postinst.in
    - drop `Multiarch: same` since the full path is required in ld.so.preload
  * Udated Standards version to 4.0.0 (no change)

 -- Marcos Fouces <marcos.fouces@gmail.com>  Tue, 04 Apr 2017 23:50:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: snoopy
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), autoconf, automake, libtool
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
+Build-Depends: debhelper-compat (= 12), procps, socat
+Standards-Version: 4.4.1
 Homepage: https://github.com/a2o/snoopy/
-Vcs-Git: https://github.com/a2o/snoopy.git
-Vcs-Browser: https://github.com/a2o/snoopy
+Vcs-Git: https://salsa.debian.org/pkg-security-team/snoopy.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/snoopy
+Rules-Requires-Root: no
 
 Package: snoopy
-Architecture: any
-Multi-Arch: same
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: execve() wrapper and logger
  snoopy is merely a shared library that is used as a wrapper

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_CFLAGS_MAINT_APPEND = -Wno-error=stringop-truncation
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/lib/$(DEB_HOST_MULTIARCH) --enable-config-file --enable-filtering --prefix=/usr --sysconfdir=/etc --with-message-format='[login:%{login} ssh:(%{env:SSH_CONNECTION}) sid:%{sid} tty:%{tty} (%{tty_uid}/%{tty_username}) uid:%{username}(%{uid})/%{eusername}(%{euid}) cwd:%{cwd}]: %{cmdline}'

override_dh_auto_install:
	dh_auto_install
	find debian/ -name "*.la" -delete
	# remove snoopy-enable and snoopy-disable, on debian we use
	# dpkg-reconfigure instead
	rm -r debian/snoopy/usr/sbin

override_dh_clean:
	dh_clean
	find . -name Makefile.in -exec rm {} \+
	rm -f aclocal.m4 compile configure test-drive

override_dh_installdeb: debian/snoopy.postinst
	dh_installdeb

debian/snoopy.postinst: debian/snoopy.postinst.in
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' $< > $@

override_dh_missing:
	dh_missing --fail-missing

## snoopy 2.4.8

=== debian/changelog ===
snoopy (2.4.8-1) unstable; urgency=medium

  * Fix FTBFS in ppc64el. Thanks to Steve Langasek.
    (Closes: #953100).
  * Bump to Standards-Version: 4.5.0 (no changes required).
  * New upstream version 2.4.8 (Closes:#957824).
  * Refresh patches that remain and remove the following
    already applied upstream:
    ~ 0001-parse-proc-properties-to-the-end.patch
    ~ 0002-properly-extract-Name-values-containing-whitespace.patch
    ~ 04_gcc-7.patch
    ~ 05_gcc-9.patch
  * Update uploader email to @debian.org
  * Improve upstream metadata.
  * Fix Lintian overrides.
  * Convert some *.po files to utf-8 encoding.
  * Bump to debhelper-compat level 13.

 -- Marcos Fouces <marcos@debian.org>  Mon, 05 Oct 2020 23:20:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: snoopy
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
-Build-Depends: debhelper-compat (= 12), procps, socat
-Standards-Version: 4.4.1
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Marcos Fouces <marcos@debian.org>
+Build-Depends: debhelper-compat (= 13), procps, socat
+Standards-Version: 4.5.0
 Homepage: https://github.com/a2o/snoopy/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/snoopy.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/snoopy

## snoopy 2.4.9

=== debian/changelog ===
snoopy (2.4.9-1) unstable; urgency=medium

  * New upstream version 2.4.9
  * Bump to Standards-Version: 4.5.1 (no changes required).
  * Refresh patches.

 -- Marcos Fouces <marcos@debian.org>  Wed, 18 Nov 2020 17:29:10 +0100

## snoopy 2.4.10

=== debian/changelog ===
snoopy (2.4.10-1) unstable; urgency=medium

  * New upstream release 2.4.10
  * Refresh patches for new upstream release.

 -- Marcos Fouces <marcos@debian.org>  Mon, 30 Nov 2020 22:59:47 +0100

## snoopy 2.4.11

=== debian/changelog ===
snoopy (2.4.11-1) unstable; urgency=medium

  * New upstream release 2.4.11
  * Set proper values to all *.po file headers.
  * Update year and uploader email in d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Fri, 05 Feb 2021 20:12:18 +0100

## snoopy 2.4.12

=== debian/changelog ===
snoopy (2.4.12-1) unstable; urgency=medium

  * New upstream version 2.4.12

 -- Marcos Fouces <marcos@debian.org>  Wed, 10 Feb 2021 23:24:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (= 13), procps, socat
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/a2o/snoopy/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/snoopy.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/snoopy

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/snoopy-$1\.tar\.gz/ \
  https://github.com/a2o/snoopy/tags .*snoopy-(\d\S+)\.tar\.gz debian uupdate

## snoopy 2.4.14

=== debian/changelog ===
snoopy (2.4.14-1) unstable; urgency=medium

  * New upstream version 2.4.14
  * Bump Standards-Version to 4.6.0 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Sun, 22 Aug 2021 15:52:38 +0200

## snoopy 2.4.15

=== debian/changelog ===
snoopy (2.4.15-1) unstable; urgency=medium

  * New upstream version 2.4.15
  * Minor  improvements to *.pot and *.po files.

 -- Marcos Fouces <marcos@debian.org>  Wed, 20 Oct 2021 17:12:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (= 13), procps, socat
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/a2o/snoopy/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/snoopy.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/snoopy

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
 export DEB_CFLAGS_MAINT_APPEND = -Wno-error=stringop-truncation
 %:
 	dh $@

## snoopy 2.5.1

=== debian/changelog ===
snoopy (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Remove 02-fix-32bit-builds.patch (applied upstream).

 -- Marcos Fouces <marcos@debian.org>  Mon, 03 Oct 2022 23:42:03 +0200

snoopy (2.5.0-4) unstable; urgency=medium

  * Improve 02-fix-32bit-builds.patch by upstream maintainer.

 -- Marcos Fouces <marcos@debian.org>  Tue, 27 Sep 2022 22:57:31 +0200

snoopy (2.5.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 2.3.2-1.

  [Marcos Fouces]
  * Add 02-fix-32bit-builds.patch to (try to) fix build in some
    architectures.

 -- Marcos Fouces <marcos@debian.org>  Mon, 26 Sep 2022 17:18:44 +0200

snoopy (2.5.0-2) unstable; urgency=medium

  * Disable all upstream tests.

 -- Marcos Fouces <marcos@debian.org>  Wed, 14 Sep 2022 23:07:21 +0200

snoopy (2.5.0-1) unstable; urgency=medium

  * Adapt watch file to handle properly rc, beta, alfa...
    upstream releases.
  * New upstream version 2.5.0
  * Refresh and merge patches for new upstream release.
  * Update d/copyright file.
  * Bump Standards-Version to 4.6.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Tue, 13 Sep 2022 23:10:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (= 13), procps, socat
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/a2o/snoopy/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/snoopy.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/snoopy

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/lib/$(DEB_HOST_MULTIARCH) --enable-config-file --enable-filtering --prefix=/usr --sysconfdir=/etc --with-message-format='[login:%{login} ssh:(%{env:SSH_CONNECTION}) sid:%{sid} tty:%{tty} (%{tty_uid}/%{tty_username}) uid:%{username}(%{uid})/%{eusername}(%{euid}) cwd:%{cwd}]: %{cmdline}'
+
+override_dh_auto_test:
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/snoopy-$1\.tar\.gz/,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/a2o/snoopy/tags .*snoopy-(\d\S+)\.tar\.gz debian uupdate

## snoopy 2.5.2

=== debian/changelog ===
snoopy (2.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.2
  * d/copyright: Bump Debian copyright years to 2025 + some pretty printing.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/watch: Drop unneeded option filennamemangle + general reworking.

 -- Sven Geuer <sge@debian.org>  Thu, 20 Mar 2025 21:18:59 +0100

snoopy (2.5.1-2) unstable; urgency=medium

  * Team upload.
  * Bringing this release to unstable; no changes compared to snoopy
    2.5.1-2~exp1 besides this changelog entry.

 -- Sven Geuer <sge@debian.org>  Sun, 21 Jul 2024 09:52:34 +0200

snoopy (2.5.1-2~exp1) experimental; urgency=medium

  * Team upload.
  * d/rules, d/snoopy.postinst.in, d/snoopy.lintian-overrides:
    - Install the library to /usr/lib (Closes: #1059371).
  * d/t/*: Introduce autopkgtests.
  * d/control: Bump Standards-Version to 4.7.0.
  * d/copyright: Sort the Copyright fields, add missing copyright holders.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <sge@debian.org>  Sun, 14 Jul 2024 23:23:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (= 13), procps, socat
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/a2o/snoopy/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/snoopy.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/snoopy

=== debian/tests/control ===
Tests: run-snoopy
Depends: @,
         debconf,
Restrictions: needs-root

=== debian/watch ===
version=4
opts=\
	uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/a2o/snoopy/tags \
(?:.*?/)?snoopy-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
